Subject: Re: bug#10361: 24.0.92; mode-line major mode menu is one pixel high under gtk3

From: Jan Djärv <[email-masked]>
Date: Mon, 26 Dec 2011 19:08:40 +0100

Hello.

This is probably the same as 10008.  I checked in a fix in the trunk, please test it.  I don't have stumpwm.

Thanks,

	Jan D.

23 dec 2011 kl. 19:00 skrev dkh:

> This bug report will be sent to the Bug-GNU-Emacs mailing list
> and the GNU bug tracker at debbugs.gnu.org.  Please check that
> the From: line contains a valid email address.  After a delay of up
> to one day, you should receive an acknowledgement at that address.
> 
> Please write in English if possible, as the Emacs maintainers
> usually do not have translators for other languages.
> 
> Please describe exactly what actions triggered the bug, and
> the precise symptoms of the bug.  If you can, give a recipe
> starting from `emacs -Q':
> 
> 
> 
> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>    `bt full' and `xbacktrace'.
> For information about debugging Emacs, please read the file
> /usr/share/emacs/24.0.92/etc/DEBUG.
> 
> 
> In GNU Emacs 24.0.92.1 (i486-pc-linux-gnu, GTK+ Version 3.2.2)
> of 2011-12-19 on zelenka, modified by Debian
> (emacs-snapshot package, version 1:20111219-1)
> Windowing system distributor `The X.Org Foundation', version 11.0.11102902
> configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.0.92/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.0.92/site-lisp:/usr/share/emacs/site-lisp' '--without-compress-info' '--with-crt-dir=/usr/lib/i386-linux-gnu/' '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2''
> 
> Important settings:
>  value of $LC_ALL: nil
>  value of $LC_COLLATE: nil
>  value of $LC_CTYPE: nil
>  value of $LC_MESSAGES: nil
>  value of $LC_MONETARY: nil
>  value of $LC_NUMERIC: nil
>  value of $LC_TIME: nil
>  value of $LANG: en_CA.UTF-8
>  value of $XMODIFIERS: nil
>  locale-coding-system: utf-8-unix
>  default enable-multibyte-characters: t
> 
> Major mode: Fundamental
> 
> Minor modes in effect:
>  display-time-mode: t
>  display-battery-mode: t
>  tooltip-mode: t
>  mouse-wheel-mode: t
>  file-name-shadow-mode: t
>  global-font-lock-mode: t
>  blink-cursor-mode: t
>  auto-composition-mode: t
>  auto-encryption-mode: t
>  auto-compression-mode: t
>  column-number-mode: t
>  line-number-mode: t
>  global-visual-line-mode: t
>  transient-mark-mode: t
> 
> Recent input:
> <help-echo> <down-mouse-1> M-x e <backspace> r e p 
> o SPC r SPC e m SPC a <backspace> b SPC <return>
> 
> Recent messages:
> Loading /etc/emacs/site-start.d/50bbdb.el (source)...done
> Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...
> Skipping dictionaries-common setup for emacs-snapshot
> Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...done
> Loading /etc/emacs/site-start.d/50flim.el (source)...done
> Loading /etc/emacs/site-start.d/50w3m-el.el (source)...done
> Loading /etc/emacs/site-start.d/50w3m-el-snapshot.el (source)...done
> OVERVIEW
> For information about GNU Emacs and the GNU system, type C-? C-a.
> Making completion list...
> 
> Load-path shadows:
> 
> When I click on the major mode name in the mode-line, the selection menu
> drops downward.  Since I am using the tiling wm stumpwm, the emacs frame
> takes up the entire screen, so the selection menu is squashed and the
> text-display in the selection menu is one pixel high.  I had similar
> results in wmaker, but since I can move the emacs frame up a bit from
> the bottom of the screen I can see more of the selection menu.  This
> does not occur if I click on a minor mode name.  I experience this if
> installing Emacs 24 from an unofficial Debian package, and when built
> from bazaar on Arch Linux.  This does not occur if I build with gtk2
> support.
> -- 
> take care and control,
> dkh
> 
>